<html>
<head>
<title>TestNG:  all_scenarios</title>
<link href="../testng.css" rel="stylesheet" type="text/css" />
<link href="../my-testng.css" rel="stylesheet" type="text/css" />

<style type="text/css">
.log { display: none;} 
.stack-trace { display: none;} 
</style>
<script type="text/javascript">
<!--
function flip(e) {
  current = e.style.display;
  if (current == 'block') {
    e.style.display = 'none';
    return 0;
  }
  else {
    e.style.display = 'block';
    return 1;
  }
}

function toggleBox(szDivId, elem, msg1, msg2)
{
  var res = -1;  if (document.getElementById) {
    res = flip(document.getElementById(szDivId));
  }
  else if (document.all) {
    // this is the way old msie versions work
    res = flip(document.all[szDivId]);
  }
  if(elem) {
    if(res == 0) elem.innerHTML = msg1; else elem.innerHTML = msg2;
  }

}

function toggleAllBoxes() {
  if (document.getElementsByTagName) {
    d = document.getElementsByTagName('div');
    for (i = 0; i < d.length; i++) {
      if (d[i].className == 'log') {
        flip(d[i]);
      }
    }
  }
}

// -->
</script>

</head>
<body>
<h2 align='center'>all_scenarios</h2><table border='1' align="center">
<tr>
<td>Tests passed/Failed/Skipped:</td><td>28/0/0</td>
</tr><tr>
<td>Started on:</td><td>Thu Apr 01 02:51:46 IST 2021</td>
</tr>
<tr><td>Total time:</td><td>0 seconds (75 ms)</td>
</tr><tr>
<td>Included groups:</td><td></td>
</tr><tr>
<td>Excluded groups:</td><td></td>
</tr>
</table><p/>
<small><i>(Hover the method name to see the test class name)</i></small><p/>
<table width='100%' border='1' class='invocation-passed'>
<tr><td colspan='4' align='center'><b>PASSED TESTS</b></td></tr>
<tr><td><b>Test method</b></td>
<td width="30%"><b>Exception</b></td>
<td width="10%"><b>Time (seconds)</b></td>
<td><b>Instance</b></td>
</tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._02()'><b>_02</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: missing json field populates to an Integer value of null</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._03.TestForBooleanValues._06()'><b>_06</b><br>Test class: id.jsonmapper.test.scenarios._03.TestForBooleanValues<br>Test method: json boolean field with value of true populates to a Boolean value of TRUE</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._03.TestForBooleanValues._03()'><b>_03</b><br>Test class: id.jsonmapper.test.scenarios._03.TestForBooleanValues<br>Test method: json string field with value of 'true' is loaded correctly</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._08()'><b>_08</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: json string field that is alphanumeric populates to an Integer value of null</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._05()'><b>_05</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: json string field that is numeric populates to an int value correctly</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios.s01.ScenarioSet01.test01()'><b>test01</b><br>Test class: id.jsonmapper.test.scenarios.s01.ScenarioSet01</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios.s01.ScenarioSet01@4abdb505</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._03.TestForBooleanValues._01()'><b>_01</b><br>Test class: id.jsonmapper.test.scenarios._03.TestForBooleanValues<br>Test method: missing json field populates to a value of false</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._03()'><b>_03</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: numeric json field populates to an int value correctly</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._04()'><b>_04</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: numeric json field populates to an Integer value correctly</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._10()'><b>_10</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: missing json field populates to a Float value of null</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._03.TestForBooleanValues._02()'><b>_02</b><br>Test class: id.jsonmapper.test.scenarios._03.TestForBooleanValues<br>Test method: json boolean field with value of true is loaded correctly</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios.s01.ScenarioSet01.test03()'><b>test03</b><br>Test class: id.jsonmapper.test.scenarios.s01.ScenarioSet01</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios.s01.ScenarioSet01@4abdb505</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._12()'><b>_12</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: numeric json field populates to a Float value correctly</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._13()'><b>_13</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: json string field that is numeric populates to a float value correctly</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._01()'><b>_01</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: missing json field populates to an int value of 0</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios.s01.ScenarioSet01.test02()'><b>test02</b><br>Test class: id.jsonmapper.test.scenarios.s01.ScenarioSet01</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios.s01.ScenarioSet01@4abdb505</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._09()'><b>_09</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: missing json field populates to a float value of 0</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._03.TestForBooleanValues._05()'><b>_05</b><br>Test class: id.jsonmapper.test.scenarios._03.TestForBooleanValues<br>Test method: missing json field populates to a Boolean value of null</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._03.TestForBooleanValues._07()'><b>_07</b><br>Test class: id.jsonmapper.test.scenarios._03.TestForBooleanValues<br>Test method: json string field with value of 'true' populates to a Boolean value of TRUE</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._11()'><b>_11</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: numeric json field populates to a float value correctly</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios.s01.ScenarioSet01.test05()'><b>test05</b><br>Test class: id.jsonmapper.test.scenarios.s01.ScenarioSet01</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios.s01.ScenarioSet01@4abdb505</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._03.TestForBooleanValues._04()'><b>_04</b><br>Test class: id.jsonmapper.test.scenarios._03.TestForBooleanValues<br>Test method: json string field with value other than 'true' populates to a value of false</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._03.TestForBooleanValues._09()'><b>_09</b><br>Test class: id.jsonmapper.test.scenarios._03.TestForBooleanValues<br>Test method: json string field with value of 'false' populates to a Boolean value of FALSE</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._14()'><b>_14</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: json string field that is numeric populates to a Float value correctly</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._03.TestForBooleanValues._08()'><b>_08</b><br>Test class: id.jsonmapper.test.scenarios._03.TestForBooleanValues<br>Test method: json boolean field with value of false populates to a Boolean value of FALSE</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._07()'><b>_07</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: json string field that is alphanumeric populates to an int value of 0</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._02.TestForNumericValues._06()'><b>_06</b><br>Test class: id.jsonmapper.test.scenarios._02.TestForNumericValues<br>Test method: json string field that is numeric populates to an Integer value correctly</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._02.TestForNumericValues@6f195bc3</td></tr>
<tr>
<td title='id.jsonmapper.test.scenarios._03.TestForBooleanValues._10()'><b>_10</b><br>Test class: id.jsonmapper.test.scenarios._03.TestForBooleanValues<br>Test method: json string field with value other than 'true' or 'false' populates to a Boolean value of null</td>
<td></td>
<td>0</td>
<td>id.jsonmapper.test.scenarios._03.TestForBooleanValues@58c1670b</td></tr>
</table><p>
</body>
</html>